Bug 1297362 - [fork][userinterface_public_455]Save button on buildconfig editting page is disabled for Dockerfile and Binary build source
[fork][userinterface_public_455]Save button on buildconfig editting page is d...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Management Console (Show other bugs)
3.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Jakub Hadvig
yapei
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-11 05:26 EST by yapei
Modified: 2016-05-12 13:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 13:15:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yapei 2016-01-11 05:26:22 EST
Description of problem:
After create build with Dockerfile,access the edit page of buildconfig, "Save" button is disabled even changed some settings(change "Build From" value from Imag Stream Tag to Docker Image Link, or change Trigger criteria). Save button is only activated after adding some environment variables.

Version-Release number of selected component (if applicable):
fork_ami_openshift3_userinterface_public_455_166 

How reproducible:
Always

Steps to Reproduce:
1.# cat Dockerfile 
FROM centos:7
RUN yum install -y httpd
2.oc new-build --dockerfile="$(cat ./Dockerfile)"
3.edit buildconfig on web console

Actual results:
3.Save button is disabled

Expected results:
3.Save button should be enabled for changing

Additional info:
Comment 1 yapei 2016-01-12 04:26:18 EST
Save button on buildconfig page is disabled also for Binary build source
Comment 2 Jakub Hadvig 2016-01-21 07:05:41 EST
This shall be fixed in the new fork_ami
Comment 3 yapei 2016-01-21 20:59:51 EST
checked on fork_ami_openshift3_userinterface_public_455_187, has been fixed
Comment 4 yapei 2016-01-24 20:45:07 EST
any updates to fork_ami_openshift3_userinterface_public_455_187? this issue reproduce again in testing today.
Comment 5 Samuel Padgett 2016-02-04 12:36:33 EST
(In reply to yapei from comment #4)
> any updates to fork_ami_openshift3_userinterface_public_455_187? this issue
> reproduce again in testing today.

Can you test again now that the origin PR has merged?
Comment 6 Samuel Padgett 2016-02-04 12:37:41 EST
Note that you have to change something in the form for the Save button to enable.
Comment 7 yapei 2016-02-05 01:18:45 EST
verified on devenv-rhel7_3335,

After accessing edit page, save button is disabled, change something will enable it. works as expected

Note You need to log in before you can comment on or make changes to this bug.